---
layout: handbook-page-toc
title: Defend Section
---

## On this page
{:.no_toc .hidden-md .hidden-lg}

- TOC
{:toc .hidden-md .hidden-lg}

## Vision

For more details about the vision for this area of the product, see the [Defend stage](/stages-devops-lifecycle/defend/) page.

## Mission

The Defend team works on GitLab's [Defend stage](/stages-devops-lifecycle/defend/).

## Team Members

The following people are permanent members of the Defend Section:

<%= direct_team(manager_role: 'Director of Engineering, Defend') %>

### Backend
<%=  direct_team(role_regexp: /Engineer/, manager_role: 'Backend Engineering Manager, Defend') %>

### Frontend

<%=  direct_team(role_regexp: /Engineer/, manager_role: 'Frontend Engineering Manager, Defend') %>


## Stable Counterparts

The following members of other functional teams are our stable counterparts:

<%= stable_counterparts(role_regexp: /[,&] Defend/, direct_manager_role: nil, other_manager_roles: ['Director of Engineering, Defend']) %>

## Defend Team

The Defend Team is responsible for defending applications, networks and infrastructure from security intrusions.  The team maps to the [defend](/handbook/product/categories/#defend) transversal page. You can learn more about our approach on the [Defend Vision](/direction/defend/) page.


<%= partial("direction/categories", :locals => { :stageKey => "defend" }) %>

## Label Usage

_TBD_

## Release process

Our release process is specified in this [project](https://gitlab.com/gitlab-org/security-products/release). The vulnerability database is [updated on a regular basis](https://docs.gitlab.com/ee/user/application_security/#maintenance-and-update-of-the-vulnerabilities-database).

## Skills

Because we have a wide range of domains to cover, it requires a lot of different expertises and skills:

| Technology skills | Areas of interest         |
| ------------------|---------------------------|
| Ruby on Rails     | Backend development       |
| Go                | Backend development       |
| Javascript        | Frontend development      |
| SQL (PostgreSQL)  | _Various_                 |
| Docker/Kubernetes | Threat Detection          |
| Network Security  | Container network security |
| Host Security     | _Various_                 |


## Engineering Rhythm

_TBD_

## Product Documentation

_TBD_

## Highlights on how we operate

* We [disagree and commit](https://about.gitlab.com/handbook/values/#transparency) when necessary.
* We decide on a [**D**irectly **R**esponsible **I**ndividual](/handbook/people-group/directly-responsible-individuals/) for a project or decision.
* We primarily rely on [asynchronous communication](https://about.gitlab.com/handbook/communication/).  However, we will rely on synchronous communication (such as [fast boot](https://about.gitlab.com/handbook/engineering/fast-boot/) or similar) when asynchronous communication is not proving to be effective to make a decision.
* We document how decisions are made on which features will be in the secure stage and which will be in the defend stage in order to avoid confusion.  _(Documentation WIP by product management)_

## Common Links

* [#s_defend](https://gitlab.slack.com/archives/s_defend) in Slack
* [#s_defend-standup](https://gitlab.slack.com/archives/CQ29K6XR7)
* [Defend team board](https://gitlab.com/groups/gitlab-org/-/boards/1241267?scope=all&utf8=%E2%9C%93&state=opened&label_name[]=devops%3A%3Adefend)
* [Defend stage calendar](https://calendar.google.com/calendar?cid=Z2l0bGFiLmNvbV9lZDYyMDd1ZWw3OGRlMGoxODQ5dmpqbmIza0Bncm91cC5jYWxlbmRhci5nb29nbGUuY29t)

## How to work with us

_TBD_